<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_151) on Mon Jul 16 20:56:11 CLT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Categoria</title>
<meta name="date" content="2018-07-16">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Categoria";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Categoria.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../models/Autor.html" title="class in models"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../models/Editorial.html" title="class in models"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?models/Categoria.html" target="_top">Frames</a></li>
<li><a href="Categoria.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">models</div>
<h2 title="Class Categoria" class="title">Class Categoria</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>models.Categoria</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Categoria</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#id">id</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static <a href="../dao/DBConnection.html" title="class in dao">DBConnection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#mysqlConnect">mysqlConnect</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#nombre">nombre</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../models/Categoria.html#Categoria--">Categoria</a></span>()</code>
<div class="block">constructor de la clase, setea el id en -1</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../models/Categoria.html" title="class in models">Categoria</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#all--">all</a></span>()</code>
<div class="block">Obtener todas las categorias desde la base de datos</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#destroy--">destroy</a></span>()</code>
<div class="block">Elimina de la base de datos el registro asociado a la instancia correspondiente por su id</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../models/Categoria.html" title="class in models">Categoria</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#find-int-">find</a></span>(int&nbsp;id)</code>
<div class="block">Obtener una categoria desde la base de datos con su ID</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#getId--">getId</a></span>()</code>
<div class="block">Obtiene el valor de id</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#getNombre--">getNombre</a></span>()</code>
<div class="block">Obtiene el valor de nombre</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#insert--">insert</a></span>()</code>
<div class="block">Metodo que inserta un nuevo autor en la base de datos, 
 luego de insertarlo se setea el id de la instancia actual con el id en base de datos</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#save--">save</a></span>()</code>
<div class="block">Ejecuta el metodo insert o update de la instancia en caso que corresponda, si es un registro nuevo se crea en el caso contrario
 se actualiza en la base de datos</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#setId-int-">setId</a></span>(int&nbsp;id)</code>
<div class="block">Setea el valor de id</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#setNombre-java.lang.String-">setNombre</a></span>(java.lang.String&nbsp;nombre)</code>
<div class="block">Setea el valor de nombre</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Categoria.html#update--">update</a></span>()</code>
<div class="block">La instancia al estar con datos de la base de datos, ejecutara la actualización sus valores dentro de la base de datos</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="id">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>private&nbsp;int id</pre>
</li>
</ul>
<a name="nombre">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nombre</h4>
<pre>private&nbsp;java.lang.String nombre</pre>
</li>
</ul>
<a name="mysqlConnect">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mysqlConnect</h4>
<pre>static&nbsp;<a href="../dao/DBConnection.html" title="class in dao">DBConnection</a> mysqlConnect</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Categoria--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Categoria</h4>
<pre>public&nbsp;Categoria()</pre>
<div class="block">constructor de la clase, setea el id en -1</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;int&nbsp;getId()</pre>
<div class="block">Obtiene el valor de id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de id</dd>
</dl>
</li>
</ul>
<a name="setId-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre>public&nbsp;void&nbsp;setId(int&nbsp;id)</pre>
<div class="block">Setea el valor de id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - el nuevo valor de id</dd>
</dl>
</li>
</ul>
<a name="getNombre--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNombre</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNombre()</pre>
<div class="block">Obtiene el valor de nombre</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de nombre</dd>
</dl>
</li>
</ul>
<a name="setNombre-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNombre</h4>
<pre>public&nbsp;void&nbsp;setNombre(java.lang.String&nbsp;nombre)</pre>
<div class="block">Setea el valor de nombre</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nombre</code> - nuevo valor del nombre</dd>
</dl>
</li>
</ul>
<a name="find-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>find</h4>
<pre>public static&nbsp;<a href="../models/Categoria.html" title="class in models">Categoria</a>&nbsp;find(int&nbsp;id)</pre>
<div class="block">Obtener una categoria desde la base de datos con su ID</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - de la categoria a buscar en la base de datos</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>una instancia de la categoria encontrado</dd>
</dl>
</li>
</ul>
<a name="all--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>all</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;<a href="../models/Categoria.html" title="class in models">Categoria</a>&gt;&nbsp;all()</pre>
<div class="block">Obtener todas las categorias desde la base de datos</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un arreglo de instancias de la clase Autor</dd>
</dl>
</li>
</ul>
<a name="save--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;boolean&nbsp;save()</pre>
<div class="block">Ejecuta el metodo insert o update de la instancia en caso que corresponda, si es un registro nuevo se crea en el caso contrario
 se actualiza en la base de datos</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>verdadero si se guardo correcramente o falso si no se realizo</dd>
</dl>
</li>
</ul>
<a name="insert--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insert</h4>
<pre>private&nbsp;boolean&nbsp;insert()</pre>
<div class="block">Metodo que inserta un nuevo autor en la base de datos, 
 luego de insertarlo se setea el id de la instancia actual con el id en base de datos</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>verdadero si se guardo correcramente o falso si no se realizo</dd>
</dl>
</li>
</ul>
<a name="update--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>private&nbsp;boolean&nbsp;update()</pre>
<div class="block">La instancia al estar con datos de la base de datos, ejecutara la actualización sus valores dentro de la base de datos</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>verdadero si se guardo correcramente o falso si no se realizo</dd>
</dl>
</li>
</ul>
<a name="destroy--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>destroy</h4>
<pre>public&nbsp;boolean&nbsp;destroy()</pre>
<div class="block">Elimina de la base de datos el registro asociado a la instancia correspondiente por su id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>verdadero si es que se elimino o falso si no se hizo correctamente</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Categoria.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../models/Autor.html" title="class in models"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../models/Editorial.html" title="class in models"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?models/Categoria.html" target="_top">Frames</a></li>
<li><a href="Categoria.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
